Create Online Redemption (Redemptions 1.0)
Redeems a card, reward, redeemable, or discount specified in the discount_type parameter against a receipt.
Punchh evaluates eligibility during the Possible Redemptions call using the receipt details provided (item name, price, quantity, identifiers, etc.). During the Create Online Redemption API call, Punchh revalidates the same receipt to ensure the qualifying conditions are still met before honoring the redemption.
If any item attributes change between the two calls, Punchh may be unable to match the qualifying items, which can cause the Create Online Redemption API call to fail or return a different result—even if the Possible Redemptions call was successful.
NOTE: When processing a redemption, DO NOT include the query parameter in the API request. Use this parameter only to check for possible redemptions.
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAuthorizationrequired
You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringUser
- Agent requiredFor details, see User Agent.
- Type: stringclientrequired
Client key of the business
- Type: stringenumdiscount
_type requiredAny one of these values: card_completion || reward || redeemable || discount_amount || redemption_code || subscription. For details, see Getting Started With Online Ordering APIs.
values- reward
- card
_completion - redeemable
- discount
_amount - redemption
_code - subscription
- Type: numberFormat: doublereceipt
_amount requiredOrder amount before taxes, calculated as the sum of all item amounts minus any discounts. This is the amount used to calculate loyalty points/visits. The value of this parameter should match
subtotal_amount. For example, if the order amount is $10, bothreceipt_amountandsubtotal_amountwill be 10. If a $2 discount is applied, both will be 8. - Type: stringreceipt
_datetime requiredTimestamp of receipt as per ISO 8601, in YYYY-MM-DDThh:mm:ssZ format
- Type: stringstore
_number requiredThe location where the redemption must be redeemed
- Type: numberFormat: doublesubtotal
_amount requiredOrder amount before taxes (sum of all item amounts minus any discounts). Same as
receipt_amount. For historical reasons, include this parameter along withreceipt_amountin the API request. - Type: stringtransaction
_no requiredReceipt number or transaction number on the receipt
- Type: stringauthentication
_token The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.
- Type: stringcc
_last4 Last 4 digits of credit card number
- Type: stringenumchannel
Channel through which the redemption was requested. Possible values are: online_order, pos, web, mobile, dashboard, chatbot, and kiosk.
values- pos
- web
- online
_order - mobile
- dashboard
- chatbot
- kiosk
- Type: stringemail
Email address of the user (required to be sent only in case of coupons and promos)
- Type: stringemployee
_id Employee ID
- application/json
- 401
Sending invalid credentials
- 412
Sending invalid Signature
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/redemptions/online_order \
--request POST \
--header 'x-pch-digest: SIGNATURE_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
--data '{
"authentication_token": "",
"query": true,
"cc_last4": "",
"employee_id": "",
"employee_name": "",
"store_number": "",
"menu_items": [
{
"item_name": "",
"item_qty": 1,
"item_amount": 1,
"menu_item_type": "",
"menu_item_id": "",
"menu_family": "",
"menu_major_group": "",
"serial_number": ""
}
],
"receipt_amount": 1,
"subtotal_amount": 1,
"receipt_datetime": "",
"transaction_no": "",
"external_uid": "",
"client": "",
"channel": "pos",
"state": "",
"discount_type": "reward",
"reward_id": 1,
"redeemable_id": "",
"redeemed_points": "",
"redemption_code": "",
"subscription_id": "",
"email": ""
}'
{
"status": "Redeemed at Feb 26, 2026 10:49 by FIRST_NAME_GOES_HERE LAST_NAME_GOES_HERE at Naperville. Please HONOR it.",
"redemption_amount": 8,
"category": "redeemable",
"qualified_menu_items": [
{
"item_name": "Sandwich",
"item_qty": 1,
"item_amount": 5,
"menu_item_type": "M",
"menu_item_id": "102000",
"menu_family": "Sandwich",
"menu_major_group": "Sandwich",
"serial_number": "1.0"
},
{
"item_name": "Coke",
"item_qty": 1,
"item_amount": 7,
"menu_item_type": "M",
"menu_item_id": "102000",
"menu_family": "Coke",
"menu_major_group": "Coke",
"serial_number": "2.0"
}
],
"discount_distribution_items": [
{
"item_name": "Sandwich DISCOUNT",
"item_qty": 1,
"item_amount": -3,
"menu_item_type": "R",
"menu_item_id": "102000",
"menu_family": "Sandwich",
"menu_major_group": "Sandwich",
"serial_number": 1
},
{
"item_name": "Coke DISCOUNT",
"item_qty": 1,
"item_amount": -5,
"menu_item_type": "R",
"menu_item_id": "102000",
"menu_family": "Coke",
"menu_major_group": "Coke",
"serial_number": 2
}
],
"max_applicable_quantity": 1,
"campaign_name": "Mass Campaign Offer",
"redemption_id": 21762,
"redemption_code": "REDEMPTION_CODE_GOES_HERE"
}